Commit e0c30116 authored by Lukáš Krupčík's avatar Lukáš Krupčík

modified: d/DynaPhoPy/DynaPhoPy-1.16.3-Py-3.6.eb

	new file:   f/FFTW/FFTW-3.3.7-GCC-6.3.0-2.27.eb
	new file:   o/OpenMPI/OpenMPI-1.10.7-GCC-6.3.0-2.27-uv.eb
	new file:   o/OpenMPI/OpenMPI-2.1.1-GCC-6.3.0-2.27-uv.eb
	new file:   o/OpenMPI/OpenMPI-3.0.0-GCC-6.3.0-2.27-uv.eb
	new file:   p/pyFFTW/pyFFTW-0.10.4-Py-3.6.eb
parent 92b02a6f
......@@ -18,6 +18,7 @@ dependencies = [
('scipy', '1.0.0'),
('h5py', '2.7.1'),
('PyYAML', '3.12'),
('pyFFTW', '0.10.4'),
]
sanity_check_paths = {
......
# IT4Innovations 2018
easyblock = 'ConfigureMake'
name = 'FFTW'
version = '3.3.7'
homepage = 'http://www.fftw.org'
description = """FFTW is a C subroutine library for computing the discrete Fourier transform (DFT)
in one or more dimensions, of arbitrary input size, and of both real and complex data."""
toolchain = {'name': 'GCC', 'version': '6.3.0-2.27'}
toolchainopts = {'optarch': True, 'pic': True}
source_urls = [homepage]
sources = ['fftw-%(version)s.tar.gz']
common_configopts = "--enable-threads --enable-openmp --with-pic"
configopts = [
common_configopts + " --enable-single --enable-sse2 ",
common_configopts + " --enable-quad-precision",
common_configopts + " --enable-long-double ",
common_configopts + " --enable-sse2 ", # default as last
]
sanity_check_paths = {
'files': ['bin/fftw%s' % x for x in ['-wisdom', '-wisdom-to-conf', 'f-wisdom', 'l-wisdom', 'q-wisdom']] +
['include/fftw3%s' % x for x in ['.f', '.f03', '.h', 'l.f03', 'q.f03']] +
['lib/libfftw3%s%s.a' % (x, y) for x in ['', 'f', 'l'] for y in ['', '_omp', '_threads']] +
['lib/libfftw3q.a', 'lib/libfftw3q_omp.a'],
'dirs': ['lib/pkgconfig'],
}
moduleclass = 'numlib'
# UV1 Only
easyblock = 'ConfigureMake'
name = 'OpenMPI'
version = '1.10.7'
homepage = 'http://www.open-mpi.org/'
description = """The Open MPI Project is an open source MPI-2 implementation."""
toolchain = {'name': 'GCC', 'version': '6.3.0-2.27'}
sources = [SOURCELOWER_TAR_GZ]
source_urls = ['http://www.open-mpi.org/software/ompi/v%(version_major_minor)s/downloads']
dependencies = [('hwloc', '1.11.7')]
builddependencies = [
('Java', '1.8.0_121', '', True)
]
configopts = '--with-threads=posix --enable-shared --enable-mpi-thread-multiple '
configopts += '--enable-mpirun-prefix-by-default ' # suppress failure modes in relation to mpirun path
configopts += '--with-hwloc=$EBROOTHWLOC ' # hwloc support
configopts += '--disable-dlopen ' # statically link component, don't do dynamic loading
configopts += '--with-tm=/opt/pbs/default ' # Enable PBS
configopts += '--enable-mpi-java ' # Java support RT#4090
# for PBS Pro 13
preconfigopts = 'export LIBS="-ldl" && '
# needed for --with-verbs
#osdependencies = [('libibverbs-dev', 'libibverbs-devel')]
libs = ["mpi_cxx", "mpi_mpifh", "mpi", "ompitrace", "open-pal", "open-rte", "vt", "vt-hyb", "vt-mpi", "vt-mpi-unify"]
sanity_check_paths = {
'files': ["bin/%s" % binfile for binfile in ["ompi_info", "opal_wrapper", "orterun"]] +
["lib/lib%s.%s" % (libfile, SHLIB_EXT) for libfile in libs] +
["include/%s.h" % x for x in ["mpi-ext", "mpif-config", "mpif", "mpi", "mpi_portable_platform"]],
'dirs': ["include/openmpi/ompi/mpi/cxx"],
}
modextravars = {'OMPI_MCA_btl_tcp_if_include': 'lo',
# 'OMPI_MCA_oob_tcp_if_include': '10.0.0.0/8',
}
moduleclass = 'mpi'
# Only for UV1 !!!
easyblock = 'ConfigureMake'
name = 'OpenMPI'
version = '2.1.1'
homepage = 'http://www.open-mpi.org/'
description = """The Open MPI Project is an open source MPI-3.1 implementation."""
toolchain = {'name': 'GCC', 'version': '6.3.0-2.27'}
source_urls = ['http://www.open-mpi.org/software/ompi/v%(version_major_minor)s/downloads']
sources = [SOURCELOWER_TAR_GZ]
builddependencies = [
('Java', '1.8.0_121', '', True)
]
dependencies = [
('hwloc', '1.11.7')
]
# for PBS Pro 13
preconfigopts = 'export LIBS="-ldl" && '
configopts = '--enable-shared --enable-mpi-thread-multiple '
configopts += '--enable-mpirun-prefix-by-default ' # suppress failure modes in relation to mpirun path
configopts += '--with-hwloc=$EBROOTHWLOC ' # hwloc support
#configopts += '--disable-dlopen ' # dont disable dlopen! https://github.com/open-mpi/ompi/issues/3630
configopts += '--with-tm=/opt/pbs/default ' # Enable PBS
configopts += '--enable-mpi-java ' # Java support RT#4090
configopts += '--enable-mpi-cxx ' # Enable building the C++ MPI bindings
# needed for --with-verbs
# osdependencies = [('libibverbs-dev', 'libibverbs-devel')]
libs = ["mpi_mpifh", "mpi", "ompitrace", "open-pal", "open-rte"]
sanity_check_paths = {
'files': ["bin/%s" % binfile for binfile in ["ompi_info", "opal_wrapper", "orterun"]] +
["lib/lib%s.%s" % (libfile, SHLIB_EXT) for libfile in libs] +
["include/%s.h" % x for x in ["mpi-ext", "mpif-config", "mpif", "mpi", "mpi_portable_platform"]],
'dirs': [],
}
modextravars = {'OMPI_MCA_btl_tcp_if_include': 'lo',
# 'OMPI_MCA_btl_tcp_if_exclude': 'bond0,bond1,bond2,ib0,ib1',
}
moduleclass = 'mpi'
# UV1 only
easyblock = 'ConfigureMake'
name = 'OpenMPI'
version = '3.0.0'
homepage = 'http://www.open-mpi.org/'
description = """The Open MPI Project is an open source MPI-2 implementation."""
toolchain = {'name': 'GCC', 'version': '6.3.0-2.27'}
source_urls = ['http://www.open-mpi.org/software/ompi/v%(version_major_minor)s/downloads']
sources = [SOURCELOWER_TAR_GZ]
checksums = ['0bbb279b88edc25bbded39520dab6d4b32020277a6088fb1456c9437a8231cf8']
builddependencies = [
('Java', '1.8.0_121', '', True)
]
dependencies = [
('hwloc', '1.11.7'),
('zlib', '1.2.11', '', True),
]
configopts = '--enable-shared --enable-mpi-thread-multiple '
configopts += '--enable-mpirun-prefix-by-default ' # suppress failure modes in relation to mpirun path
configopts += '--with-hwloc=$EBROOTHWLOC ' # hwloc support
#configopts += '--disable-dlopen ' # dont disable dlopen! https://github.com/open-mpi/ompi/issues/3630
configopts += '--with-tm=/opt/pbs/default ' # Enable PBS
configopts += '--enable-mpi-java ' # Java support RT#4090
configopts += '--enable-mpi-cxx ' # Enable building the C++ MPI bindings
# for PBS Pro 13
preconfigopts = 'export LIBS="-ldl" && '
# to enable SLURM integration (site-specific)
# configopts += '--with-slurm --with-pmi=/usr/include/slurm --with-pmi-libdir=/usr'
# needed for --with-verbs
#osdependencies = [('libibverbs-dev', 'libibverbs-devel')]
libs = ["mpi_mpifh", "mpi", "ompitrace", "open-pal", "open-rte"]
sanity_check_paths = {
'files': ["bin/%s" % binfile for binfile in ["ompi_info", "opal_wrapper", "orterun"]] +
["lib/lib%s.%s" % (libfile, SHLIB_EXT) for libfile in libs] +
["include/%s.h" % x for x in ["mpi-ext", "mpif-config", "mpif", "mpi", "mpi_portable_platform"]],
'dirs': [],
}
modextravars = {'OMPI_MCA_btl_tcp_if_include': 'lo',
# 'OMPI_MCA_oob_tcp_if_include': '10.0.0.0/8',
}
moduleclass = 'mpi'
# IT4Innovations 2018
easyblock = "PythonPackage"
name = 'pyFFTW'
version = '0.10.4'
homepage = 'https://pypi.python.org/pypi/pyFFTW'
description = 'A pythonic wrapper around FFTW, the FFT library, presenting a unified interface for all the supported transforms.'
toolchain = {'name': 'Py', 'version': '3.6'}
source_urls = [PYPI_SOURCE]
sources = [SOURCE_TAR_GZ]
dependencies = [
('FFTW', '3.3.7', '', ('GCC', '6.3.0-2.27')),
('numpy', '1.13.3'),
]
sanity_check_paths = {
'files': [],
'dirs': ['lib/python3.6/site-packages/%(name)s-%(version)s-py3.6-linux-x86_64.egg'],
}
moduleclass = 'python'
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment